1.0

1.0

post /v1/clusters

Description

Create Cluster.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

RedisClusterCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cachestore 1.0"

Request body

{
    "allowable_ip_addresses": [],
    "dbaas_engine_version_id": "",
    "ha_enabled": false,
    "init_config_option": {
        "backup_option": {
            "retention_period_day": "7",
            "starting_time_hour": "2"
        },
        "database_port": 6378,
        "database_user_password": "",
        "sentinel_port": 26378
    },
    "instance_groups": [
        {
            "block_storage_groups": [
                {
                    "role_type": "",
                    "size_gb": "",
                    "volume_type": "SSD"
                }
            ],
            "instances": [
                {
                    "public_ip_id": "",
                    "role_type": "ACTIVE",
                    "service_ip_address": ""
                }
            ],
            "role_type": "ACTIVE",
            "server_type_name": ""
        }
    ],
    "instance_name_prefix": "",
    "maintenance_option": {
        "period_hour": "",
        "starting_day_of_week": "MON",
        "starting_time": ""
    },
    "name": "",
    "nat_enabled": false,
    "replica_count": 0,
    "subnet_id": "",
    "tags": [],
    "timezone": ""
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}